Body
-
The UUIDs of the accounts who should own the goal. These must only be client accounts.
-
The goal's name.
Maximum length is
255. -
The goal's description.
Maximum length is
5000. -
The goal's target amount.
Minimum value is
0. -
The goal's progress as a percentage.
Minimum value is
0, maximum value is100. -
The goal's timeframe.
Maximum length is
255. -
The goal's deadline as a specific date.
-
The goal's priority on a scale from 1 to 5.
Minimum value is
1, maximum value is5. -
Determines if goal should be shown on a circle.
-
Circles UUIDs that can view the goal when filtering goals by circles. Leaving blank means the goal will be visible for all circles which contains the goal owners.
POST
/api/v2/goals
curl \
--request POST 'https://api.plannrcrm.com/api/v2/goals' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"account_uuids":["20846b2c-5499-4b15-b870-f714af609539","74ada578-16c8-4043-9216-60410898b1cf","11dbd67e-f797-4690-8995-ce7d8f83f31c"],"name":"Reduced Mileage","description":"Reduce the amount of gas spent yearly.","target_amount":5000,"progress":68,"timeframe":"Within the year.","complete_goal_by":"2027-08-28","priority":4,"show_on_circles":false,"visible_to_circles_uuids":["2b9c45ec-b6f6-4ac0-a159-8c9740fc3e97","5545902f-3577-4c72-af85-ff806464458b","31211452-4cec-472f-b85c-5e0a090de718"]}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"account_uuids": [
"20846b2c-5499-4b15-b870-f714af609539",
"74ada578-16c8-4043-9216-60410898b1cf",
"11dbd67e-f797-4690-8995-ce7d8f83f31c"
],
"name": "Reduced Mileage",
"description": "Reduce the amount of gas spent yearly.",
"target_amount": 5000,
"progress": 68,
"timeframe": "Within the year.",
"complete_goal_by": "2027-08-28",
"priority": 4,
"show_on_circles": false,
"visible_to_circles_uuids": [
"2b9c45ec-b6f6-4ac0-a159-8c9740fc3e97",
"5545902f-3577-4c72-af85-ff806464458b",
"31211452-4cec-472f-b85c-5e0a090de718"
]
}
Response examples (201)
{
"uuid": "e1f26a27-66fe-4fab-b8b5-7b7652c3bad7",
"created_at": "2026-08-28T07:34:58+01:00",
"updated_at": "2026-08-28T07:34:58+01:00",
"name": "Reduced Mileage",
"description": "Reduce the amount of gas spent yearly.",
"target_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"progress": "68",
"timeframe": "Within the year.",
"complete_goal_by": "2027-08-28T07:34:58+01:00",
"priority": "4",
"shared_owner_type": "individual",
"shared_owner": {
"uuid": "350f530c-44c0-4170-be8a-e3844cffffb3",
"created_at": "2026-08-28T07:34:58+01:00",
"updated_at": "2026-08-28T07:34:58+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "7abfeab1-ccae-4a3e-b43c-15e35b008ff8",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "65a06160-a3d2-44f6-92d3-0f560c0a3f32",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "65a06160-a3d2-44f6-92d3-0f560c0a3f32",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "499a68df-72d0-4d1b-b6b8-87b8b5224b01",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-08-28T06:45:05+01:00",
"end_date": "2026-08-28T07:13:05+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "b12e3288-fc2d-4647-b6e4-808e582992ac",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-28T07:35:05+01:00",
"next_review_date": "2026-08-28T07:35:05+01:00",
"previous_review_date": "2026-08-28T07:35:05+01:00",
"anniversary_review_date": "2026-08-28T07:35:05+01:00",
"terms_of_business_at": "2026-08-28T07:35:05+01:00",
"client_agreement_at": "2026-08-28T07:35:05+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-28",
"last_interaction_at": "2026-08-28 07:35:05",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-28T07:35:05+01:00",
"out_of_office_until": "2026-08-28T07:35:05+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "b12e3288-fc2d-4647-b6e4-808e582992ac",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-28T07:35:05+01:00",
"next_review_date": "2026-08-28T07:35:05+01:00",
"previous_review_date": "2026-08-28T07:35:05+01:00",
"anniversary_review_date": "2026-08-28T07:35:05+01:00",
"terms_of_business_at": "2026-08-28T07:35:05+01:00",
"client_agreement_at": "2026-08-28T07:35:05+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-28",
"last_interaction_at": "2026-08-28 07:35:05",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-28T07:35:05+01:00",
"out_of_office_until": "2026-08-28T07:35:05+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "b12e3288-fc2d-4647-b6e4-808e582992ac",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-28T07:35:05+01:00",
"next_review_date": "2026-08-28T07:35:05+01:00",
"previous_review_date": "2026-08-28T07:35:05+01:00",
"anniversary_review_date": "2026-08-28T07:35:05+01:00",
"terms_of_business_at": "2026-08-28T07:35:05+01:00",
"client_agreement_at": "2026-08-28T07:35:05+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-28",
"last_interaction_at": "2026-08-28 07:35:05",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-28T07:35:05+01:00",
"out_of_office_until": "2026-08-28T07:35:05+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "b12e3288-fc2d-4647-b6e4-808e582992ac",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-28T07:35:05+01:00",
"next_review_date": "2026-08-28T07:35:05+01:00",
"previous_review_date": "2026-08-28T07:35:05+01:00",
"anniversary_review_date": "2026-08-28T07:35:05+01:00",
"terms_of_business_at": "2026-08-28T07:35:05+01:00",
"client_agreement_at": "2026-08-28T07:35:05+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-28",
"last_interaction_at": "2026-08-28 07:35:05",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-28T07:35:05+01:00",
"out_of_office_until": "2026-08-28T07:35:05+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "b6f0900e-a97f-40c0-a34e-439ea2cfc7f5",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00"
},
"tags": {
"uuid": "4871f56c-96e4-4a88-98c4-07c3ecb83646",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "b12e3288-fc2d-4647-b6e4-808e582992ac",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-28T07:35:05+01:00",
"next_review_date": "2026-08-28T07:35:05+01:00",
"previous_review_date": "2026-08-28T07:35:05+01:00",
"anniversary_review_date": "2026-08-28T07:35:05+01:00",
"terms_of_business_at": "2026-08-28T07:35:05+01:00",
"client_agreement_at": "2026-08-28T07:35:05+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-28",
"last_interaction_at": "2026-08-28 07:35:05",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-28T07:35:05+01:00",
"out_of_office_until": "2026-08-28T07:35:05+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-08-28T07:34:58+01:00",
"next_review_date": "2026-08-28T07:34:58+01:00",
"previous_review_date": "2026-08-28T07:34:58+01:00",
"anniversary_review_date": "2026-08-28T07:34:58+01:00",
"terms_of_business_at": "2026-08-28T07:34:58+01:00",
"client_agreement_at": "2026-08-28T07:34:58+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "ef6c247d-aff6-4829-b48f-7b8004122b99",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-28T07:35:05+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "8518d9d1-3ff8-4fcf-81e9-d3784335ff65",
"login_access_level": "write",
"current_life_stage_uuid": "2b667dfd-7efa-4758-9b58-eece67be4fe9"
},
"circles": {
"uuid": "ef6c247d-aff6-4829-b48f-7b8004122b99",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-28T07:35:05+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "8518d9d1-3ff8-4fcf-81e9-d3784335ff65",
"login_access_level": "write",
"current_life_stage_uuid": "2b667dfd-7efa-4758-9b58-eece67be4fe9"
},
"ownership_percentage": 100,
"inactive_at": "2026-08-28",
"last_interaction_at": "2026-08-28 07:34:58",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-28T07:34:58+01:00",
"out_of_office_until": "2026-08-28T07:34:58+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "6727d7a3-d206-4732-a56c-28d2de1eee0f",
"name": "Gold",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00"
},
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "bbebe1dc-bcfb-4078-848e-1293b8f6887d",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}